/*
 * Copyright (C) 2007-2009 Nokia Corporation.
 * Copyright (c) 2009-2014, NVIDIA CORPORATION.  All rights reserved.
 *
 * Author: Felipe Contreras <felipe.contreras@nokia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef GSTOMX_HDMI_VIDEOSINK_H
#define GSTOMX_HDMI_VIDEOSINK_H

#include <gst/gst.h>

G_BEGIN_DECLS
#define GST_OMX_HDMI_VIDEOSINK(obj) (GstOmxHdmiVideoSink *) (obj)
#define GST_OMX_HDMI_VIDEOSINK_TYPE (gst_omx_hdmi_videosink_get_type ())
typedef struct GstOmxHdmiVideoSink GstOmxHdmiVideoSink;
typedef struct GstOmxHdmiVideoSinkClass GstOmxHdmiVideoSinkClass;

#include "gstomx_base_sink.h"

struct GstOmxHdmiVideoSink
{
  GstOmxBaseSink omx_base;
  guint x_scale;
  guint y_scale;
  guint rotation;

  gchar *display_name;
  gboolean keep_aspect;
  gint hue;
  gint contrast;
  gint brightness;
  gint saturation;
  guint adaptor_no;

  gint fps_n;
  gint fps_d;

  gint overlay;
  gint overlay_depth;
  gint overlay_x;
  gint overlay_y;
  gint overlay_w;
  gint overlay_h;

  gboolean update_pos;
  gboolean update_size;
};

struct GstOmxHdmiVideoSinkClass
{
  GstOmxBaseSinkClass parent_class;
};

GType gst_omx_hdmi_videosink_get_type (void);

G_END_DECLS
#endif /* GSTOMX_HDMI_VIDEOSINK_H */
