/*
 * Copyright (c) 2009-2014, NVIDIA CORPORATION.  All rights reserved.
 *
 * Based on code copyright/by:
 *
 * Author: Felipe Contreras <felipe.contreras@nokia.com>
 * Copyright (C) 2007-2009 Nokia Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

#ifndef GSTOMX_MPEG2DEC_H
#define GSTOMX_MPEG2DEC_H

#include <gst/gst.h>

G_BEGIN_DECLS
#define GST_OMX_MPEG2DEC(obj) (GstOmxMpeg2Dec *) (obj)
#define GST_OMX_MPEG2DEC_TYPE (gst_omx_mpeg2dec_get_type ())
#define FRAME_HEIGHT 1088
#define FRAME_WIDTH  1920
typedef struct GstOmxMpeg2Dec GstOmxMpeg2Dec;
typedef struct GstOmxMpeg2DecClass GstOmxMpeg2DecClass;

#include "gstomx_base_videodec.h"

struct GstOmxMpeg2Dec
{
  GstOmxBaseVideoDec omx_base;
  GstBuffer *codec_data;
  GstPadChainFunction base_chain_func;
  GstBuffer *first_mpeg_buffer;
  gboolean first_packet;
  gboolean bsynctokeyframe;
};

struct GstOmxMpeg2DecClass
{
  GstOmxBaseVideoDecClass parent_class;
};

GType gst_omx_mpeg2dec_get_type (void);

G_END_DECLS
#endif /* GSTOMX_MPEG2DEC_H */
